Subject: bug#16854: closed (Re: bug#16854: 24.3.50; ert-run-tests-interactively t selector not working)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 26 Feb 2014 02:06:02 +0000

Your bug report

#16854: 24.3.50; ert-run-tests-interactively t selector not working

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16854: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16854
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16854: 24.3.50; ert-run-tests-interactively t selector not working
From: Dmitry Gutov <[email-masked]>
To: Helmut Eller <[email-masked]>, Nicolas Richard <[email-masked]>
Cc: [email-masked]
Date: Wed, 26 Feb 2014 04:05:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.4

On 24.02.2014 16:00, Helmut Eller wrote:
>>> I think now that using read instead of intern should work fine

Installed in revno 116563.

Subject: 24.3.50; ert-run-tests-interactively t selector not working
From: Helmut Eller <[email-masked]>
To: [email-masked]
Date: Sun, 23 Feb 2014 15:57:16 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

When I run this 

(require 'ert)
(ert-deftest infloop0 () (while t))

with: emacs -Q -nw -l infloops.el -f ert

Emacs starts up and asks: "Run tests (default t): "
If I enter: "t RET"
then ERT does not run anything and simply writes:
"Ran 0 tests, 0 results were as expected"

The expected result is that all tests should be executed.